%define sum Desktop background manager/changer/screensaver

Summary:	%{sum}
Name:		chbg
Version:	2.0.1
Release:	%mkrel 31
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://www.beebgames.com/sw/gtk-ports.html
Source0:	https://www.beebgames.com/sw/%{name}-%{version}.tar.bz2
Source1:	%{name}_16x16.png
Source2:	%{name}_32x32.png
Source3:	%{name}_48x48.png
Source4:	%{name}-%{version}-po.tar.bz2
# (fc) 2.0.1-3mdv use correct colormap / depth 
Patch0:		chbg-2.0.1-colormap.patch
# (fc) 2.0.1-9mdv fix CFLAGS
Patch1:		chbg-2.0.1-cflags.patch
Patch2:		chbg-2.0.1-libpng1.5.patch
Patch3:		chbg-2.0.1-link.patch
Patch4:		chbg-2.0.1-langs.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libpng)

%description
ChBg is for changing desktop backgrounds in a given period. It can
render images with 10 modes (such as tiled, centered, scaled, etc.). It
uses gdk_pixbuf-2.0 for loading images, so it supports
many image formats. 
ChBg has a windowed setup program, is able to load setup files, 
can be used as slideshow picture previewer in its own window or as a
desktop background, and can be used as screensaver or as an xscreensaver
hack. It has a dialog for fast previewing of pictures and very usable
thumbnail previews.

%prep
%setup -q
%patch -P 0 -p1 -b .composite
%patch -P 1 -p1 -b .cflags
%patch -P 2 -p0 -b .libpng
%patch -P 3 -p0 -b .link
%patch -P 4 -p1 -b .langs
tar -xf %{SOURCE4}

%build
%global optflags %(echo "%{optflags} -Wno-incompatible-pointer-types -Wno-int-conversion")

autoreconf -fi
%configure \
    --with-intl-includes=%{_datadir}/gettext/intl
%make_build

%install
%make_install

# install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# menu stuff
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ChBg
GenericName=Changer of background
GenericName[ru]=Сменщик фона
Comment=%{sum}
Comment[ru]=ChBg - менеджер рабочего стола/сменщик/заставка
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;
NotShowIn=GNOME;KDE;
EOF

# touch the default sysconfig file so that it can be included
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/chbgrc

%{find_lang} %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog README THANKS TODO chbgrc.sample xscreensaver*txt 
%{_bindir}/chbg
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man*/*
%attr(644,root,root) %config(noreplace,missingok) %{_sysconfdir}/chbgrc


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 2.0.1-31.mga10
+ Revision: 2127142
- Rebuild for patchN deprecation
+ danf <danf>
- Update links to https:

* Tue Apr 23 2024 ns80 <ns80> 2.0.1-30.mga10
+ Revision: 2060677
- fix building with GCC 14

* Sat Mar 26 2022 umeabot <umeabot> 2.0.1-29.mga9
+ Revision: 1828306
- Mageia 9 Mass Rebuild

* Thu Jul 09 2020 ovitters <ovitters> 2.0.1-28.mga8
+ Revision: 1603624
- drop Mageia specific category from desktop file (mga#2449)
+ danf <danf>
- Fix Comment= in .desktop file

* Sat Feb 15 2020 umeabot <umeabot> 2.0.1-27.mga8
+ Revision: 1526057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Apr 25 2019 alexl <alexl> 2.0.1-26.mga7
+ Revision: 1395241
- update desktop file
- add Greek and Russian translations

* Sat Sep 22 2018 umeabot <umeabot> 2.0.1-25.mga7
+ Revision: 1296112
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 2.0.1-24.mga6
+ Revision: 952278
- Mageia 6 Mass Rebuild

* Sat Feb 07 2015 lmenut <lmenut> 2.0.1-23.mga5
+ Revision: 813926
- dont show ChBg in GNOME & KDE menu

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-22.mga5
+ Revision: 743046
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-21.mga5
+ Revision: 678360
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-20.mga4
+ Revision: 526043
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.0.1-19.mga4
+ Revision: 435803
- more linkage fix
- fix linkage
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 2.0.1-18.mga3
+ Revision: 347639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 2.0.1-17.mga3
+ Revision: 343254
- update group - again

* Sun Dec 30 2012 barjac <barjac> 2.0.1-16.mga3
+ Revision: 336451
- update group
- update .desktop
- minor spec clean

* Mon Jul 30 2012 sander85 <sander85> 2.0.1-15.mga3
+ Revision: 276172
- Fix build

* Wed Sep 14 2011 fwang <fwang> 2.0.1-14.mga2
+ Revision: 143160
- rebuild for new libpng

* Sun Jan 23 2011 ahmad <ahmad> 2.0.1-13.mga1
+ Revision: 34847
- drop old/unneeded scriptlets
- imported package chbg

